This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1009578 - RHEL 5 custom content without a FEED is not consumable by RHEL 5 clients
RHEL 5 custom content without a FEED is not consumable by RHEL 5 clients
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Tazim Kolhar
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 12:05 EDT by Justin Sherrill
Modified: 2017-02-23 16:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Users should install RHEL6 and RHEL7 clients only during the Red Hat Satellite 6 Beta Cycle.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 01:07:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 4056 None None None 2016-04-22 12:07 EDT

  None (edit)
Description Justin Sherrill 2013-09-18 12:05:49 EDT
Description of problem:


based on https://github.com/Katello/katello/issues/2937 and verified myself
RHEL 5 content is not installable from a rhel 5 client.



How reproducible:
always

Steps to Reproduce:
1. Sync a rhel 5 repo
2. Subscribe a system to it
3. Try to install some content

Actual results:


https://HOST/pulp/repos/ACME_Corporation/Library/content/dist/rhel/server/5/5.7/i386/resilientstorage/os/repodata/ce654caa186d0618cbc7fe0d64201e3b569cc683e88c743f8415df3866b0d853-primary.sqlite.bz2: [Errno -3]
Error performing checksum


Expected results:

Package installs
Comment 1 RHEL Product and Program Management 2013-09-18 12:16:35 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 4 Justin Sherrill 2013-10-22 09:27:00 EDT
I think there are two options:

In satellite 5/spacewalk, there was a checksum option added to repo creation that allowed the user to select what checksum they wanted.  Do something similar to that.


Do what you suggest and fetch part of the repo to try to determine.  I think we might eventually want some sort of override to give the user to override what checksum is being used.


Either way i'm good with moving off of mdp2
Comment 5 Mike McCune 2013-10-22 13:22:35 EDT
moving off MDP2

if we could fetch and determine that would be ideal but having a flag where you could force it would work too.
Comment 6 Mike McCune 2014-07-29 15:19:58 EDT
We did resolve some issues around this in Sat6 Beta and you are able to sync and consume RHEL5 content.

We need to ensure that bare repos with only RHEL5 sha1 RPMs uploaded via the API/UI will be able to produce sha1 repodata.

I'll test this out and see the state of this bug.
Comment 7 Eric Helms 2014-07-31 12:03:58 EDT
Connecting redmine issue http://projects.theforeman.org/issues/4056 from this bug
Comment 8 Brad Buckingham 2014-08-15 07:55:21 EDT
The changes mentioned in comment #6 were addressed as part of bug 1127402.
Comment 9 Bryan Kearney 2014-09-26 12:01:16 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/4056 has been closed
-------------
Justin Sherrill
Applied in changeset commit:katello|ed840853bc332a2fac1c2f8f93b6831a7e22dcf2.
Comment 12 Tazim Kolhar 2015-03-09 05:07:44 EDT
VERIFIED :

# rpm -qa | grep foreman
foreman-1.7.2.8-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.2-1.el6_6sat.noarch
foreman-compute-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.2-1.el6_6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6_6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.1-1.el6_6sat.noarch
foreman-proxy-1.7.2.3-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.5-1.el6_6sat.noarch
foreman-vmware-1.7.2.8-1.el6_6sat.noarch
foreman-libvirt-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman_abrt-0.0.5-2.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-1.0-2.noarch
rubygem-hammer_cli_foreman-0.1.4.6-1.el6_6sat.noarch
foreman-selinux-1.7.2.8-1.el6_6sat.noarch
foreman-debug-1.7.2.8-1.el6_6sat.noarch
foreman-gce-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.8-2.el6_6sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.5-1.el6_6sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el6_6sat.noarch
foreman-postgresql-1.7.2.8-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.3-1.el6_6sat.noarch
foreman-ovirt-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.8-1.el6_6sat.noarch

Sync a rhel 5 repo
Subscribe a system to it and installed some content
Comment 13 Bryan Kearney 2015-08-11 09:21:34 EDT
This bug is slated to be released with Satellite 6.1.
Comment 14 errata-xmlrpc 2015-08-12 01:07:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592

Note You need to log in before you can comment on or make changes to this bug.